petsc-3.7.7 2017-09-25
Report Typos and Errors

# EventRegLogGetEvent

This function returns the event id given the event name.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  EventRegLogGetEvent(PetscEventRegLog eventLog, const char name[], PetscLogEvent *event)

Not Collective

### Input Parameters

| eventLog | - The PetscEventRegLog
| name | - The stage name

### Output Parameter

event -The event id, or -1 if not found

### Keywords

log, stage

### See Also

EventRegLogRegister()

Level:developer
Location:src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages